function [l_x,l_u,l_t] = sys_Dl(neq,t,x,u)

global sys_params

% l_x should be a row vector of length n.
% l_u should be a row vector of length m.
% l_t is not used.

V = x(1);
R = x(2);
BETA =  500.0;
Arho0 = 12400.0;

F_NUM = neq(5);

l_x = zeros(4,1);
l_u = 0;

if F_NUM == 2
  rho = Arho0*exp(BETA*(1-R));
  l_x(1) = rho*V;
  l_x(2) = -BETA*rho*V^2/2;
end

