function z = l(neq,t,x,u)

global sys_params QMAX

% z is a scalar.

V = x(1);
R = x(2);
BETA =  500.0;
Arho0 = 12400.0;

F_NUM = neq(5);

if F_NUM == 1
  z = 0;
else
  rho = Arho0*exp(BETA*(1-R));
  z = rho*V^2/2 - QMAX;
end
