%/************************************************************/
%/* CALLING EXAMPLE:                                         */
%clear all; clear simulate; clear ans; clc

N = 200;
T = 2.9;  
t = [0:T/N:T];                                        

 u0 = zeros(1,N+1);                                    
 x0 = [1 1]';                                          
 [u,x,f]=riots(x0,u0,t,-1,1,[],[100;1e-3],2);          



pause
% or,                                                     
 FLAGS = 1;                                        
 clear simulate;                                      
 C1 = 1; C2 = 1;                                      
 [u,x,f]=riots([x0;0],u0,t,-1,1,[C1;C2],[200;1e-3],3);

% or,                                                      

 FLAGS = 2;                                            
 
 clear simulate;                                       
 C1 = 100; C2 = 100;                                   
 [u,x,f]=riots([x0;0],u0,t,-1,1,[C1;C2],[100;1e-3],3); 
                                                          
%/* To plot the phase space trajectories and constraints:    
 figure	
 tt=[0:2*pi/100:2*pi];                                 
 plot(x(1,:),x(2,:),sin(tt)/3+1,cos(tt)*0.3+0.4,':');  
 axis('equal')  
pause
 figure
 sp_plot(t,u);                                 
%/***********************************************************
%/* PROBLEM DESCRIPTION:                                     
%/* Nonlinear problem with two trajectory constraints.
